<html lang="en">

<head>
  <meta charset="utf-8">
  <title>{{#if title}}Kanod - {{title}}{{else}}Kanod{{/if}}</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  {{#if refresh}}
  <meta http-equiv="refresh" content="10">{{/if}}
  <link rel="stylesheet" href="/css/starter.css">
  <link rel="stylesheet" href="/css/bootstrap-icons/bootstrap-icons.css">
</head>

<body>

  <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <div class="container-fluid">
      <a class="navbar-brand" href="/">Kanod</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
        aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" href="/clusters">Clusters</a>
          </li>
  {{#if bmpSupport}}
          <li class="nav-item">
            <a class="nav-link" href="/baremetalpools">Pools</a>
          </li>
  {{/if}}
  {{#if isAdmin}}
          <li class="nav-item">
            <a class="nav-link" href="/bmhs">Machines</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/argocd">Argo-CD</a>
          </li>
  {{/if}}
        </ul>
        <ul class="navbar-nav ms-auto">
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="bi-person-fill" style="font-size: 200%;"></i>
            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
              <li><span class="dropdown-item-text">{{user}}</span></li>
              <li> <hr class="dropdown-divider"></li>
              <li><a class="dropdown-item" href="/login">Login</a></li>
              <li><a class="dropdown-item" href="/logout">Logout</a></li>
            </ul>
          </li>
        </ul>
      </div>
    </div>
  </nav>

  {{{body}}}

  <script src="/js/bootstrap.bundle.min.js"></script>

  {{#each scripts}}
  <script src="js/{{this}}"></script>
  {{/each}}
</body>

</html>